
#include "SimpleLCD.h";

const int backlightPin =  11;  
const int RS = 3;
const int RW = 4;
const int E = 5;
const int D4 = 6;
const int D5 = 7;
const int D6 = 8;
const int D7 = 9;

SimpleLCD lcd(RS,RW,E,D4,D5,D6,D7);

int lcdBrightness = 255;
int incomingByte = 0; 

void setup() {
  
  Serial.begin(9600); 
  
  // set the digital pin as output:
  pinMode(backlightPin, OUTPUT);   
  digitalWrite(backlightPin, HIGH);

 
 
  lcd.lcdInit();
  lcd.lcdWriteText("--> Hello world! <--"); 
  lcd.lcdGoToXY(1,3);
  lcd.lcdWriteText("http://morf.lv");
  lcd.lcdGoToXY(2,4);
  lcd.lcdWriteText("Rastro-Mania");  
  lcd.lcdGoToXY(3,0);
  lcd.lcdWriteText("Coding & Engineering");    
}

void loop()
{
  
   if (Serial.available() > 0) 
   {
                // read the incoming byte:
                incomingByte = Serial.read();
                
                if(incomingByte == 'h')
                {
                  if(lcdBrightness < 255)
                    lcdBrightness+=17;
                    
                  analogWrite(backlightPin,lcdBrightness);                    
                }
                else if(incomingByte == 'l')
                {
                  if(lcdBrightness > 0)
                    lcdBrightness-=17;
                    
                  analogWrite(backlightPin,lcdBrightness);
                }
                else if(incomingByte == 'c')
                {
                  lcd.lcdClear();
                }                
                // say what you got:
                Serial.print("LCD brightness: ");
                Serial.println(lcdBrightness, DEC);
    }

    
}
